Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.search.lucene.analysis
Class AnalyzeString

    java.lang.Object
      fr.gouv.culture.sdx.search.lucene.analysis.AnalyzeString

    public class AnalyzeString

extends java.lang.Object

Cette classe permet d'utiliser un analyseur de mots de façon statique, depuis une feuille XSLT par exemple. La `String` retournée présente les différents `Token` accolés séparés par un espace. Par exemple : "`l'église de Saint Brice`" donne "`eglise saint brice`".

Author:
  Malo Pichot
See Also:
  `AbstractAnalyzer`, `DefaultAnalyzer`, `Analyzer_ar`, `Analyzer_br`, `Analyzer_cz`, `Analyzer_de`, `Analyzer_en`, `Analyzer_fr`

Constructor Summary
`AnalyzeString()`

Method Summary
`static java.lang.String` | `getAnalyzedString(java.lang.String content)` Retourne la `String` à sa sortie de l'analyseur de mots par défaut : `Analyzer_fr`.
`static java.lang.String` | `getAnalyzedString(java.lang.String content, java.lang.String className)` Retourne la `String` à sa sortie de l'analyseur de mots souhaité.
`static java.lang.String` | `getAnalyzedString(java.lang.String content, java.lang.String className, java.lang.String separator)` Retourne la `String` sortie de l'analyseur correspondant.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnalyzeString

    public AnalyzeString()

Method Detail

### getAnalyzedString

    public static java.lang.String getAnalyzedString(java.lang.String content,
                                                     java.lang.String className,
                                                     java.lang.String separator)
                                              throws SDXException

  Retourne la `String` sortie de l'analyseur correspondant. Les mots sont séparés ou accolés.

  Parameters:
    `content` - `String` La String à analyser
    `className` - `String` Le nom de la class représentant l'analyseur souhaité (p.e., `Analyzer_fr` pour l'analyseur français)
    `separator` - `String` Le separateur de mot. Si le paramètre est `null` les mots seront accolé.
  Returns:
    `String` Retourne la `String` à sa sortie de l'analyseur de mots. Si la `String` est vide, on la retourne telle quelle. S'il y a un problème de lecture dans le processus, on retourne "-1".
  Throws:
    `SDXException`

### getAnalyzedString

    public static java.lang.String getAnalyzedString(java.lang.String content)

  Retourne la `String` à sa sortie de l'analyseur de mots par défaut : `Analyzer_fr`. Les mots sont accolés.

  Parameters:
    `content` - La string à analyser.
  Returns:
    `String` Si la `String` n'est pas vide retourne la `String` à sa sortie de l'analyseur de mots français. Les mots sont accolés, sans séparateur.

### getAnalyzedString

    public static java.lang.String getAnalyzedString(java.lang.String content,
                                                     java.lang.String className)

  Retourne la `String` à sa sortie de l'analyseur de mots souhaité. Les mots sont accolés

  Parameters:
    `content` - La `String` à analyser.
    `className` - Le nom de la classe Java représentant l'analyseur à employer.
  Returns:
    `String` Retourne la `String` analysé par l'analyseur souhaité. Les mots sont accolés, sans séparateur.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.